commit:     5781b6f2d5baa42817cd441affc438930c24ba47
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 10 22:42:54 2016 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Wed Aug 10 22:43:10 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5781b6f2

games-util/gtkevemon: new v1.10 and fix the repo for the live ebuild.

The repository for this project changed (from Mercurial to Git), so
the live ebuild needed to be updated. Thanks to Andre Schulz for
posting an updated live ebuild. I also noticed that glibmm:3.0 and
curl[ssl] have replaced glibmm:2.4 and openssl in the dependencies, so
those have been updated as well.

I added the new version 1.10, but all is not rosy there. The package
builds fine, but I get SSLv3 errors when attempting to refresh
SkillTree.xml and CertificateTree.xml. Building openssl with USE=sslv3
does not fix this. Both new versions tell me that all of the servers
are offline. For that reason, I have left v1.8 in the tree as well
(just in case it works better for somebody).

Gentoo-Bug: 527442
Gentoo-Bug: 562616

Package-Manager: portage-2.2.28

 games-util/gtkevemon/Manifest              |  1 +
 games-util/gtkevemon/gtkevemon-1.10.ebuild | 46 ++++++++++++++++++++++++
 games-util/gtkevemon/gtkevemon-9999.ebuild | 58 +++++++++++++-----------------
 3 files changed, 71 insertions(+), 34 deletions(-)

diff --git a/games-util/gtkevemon/Manifest b/games-util/gtkevemon/Manifest
index 5aa60d4..5c0f66c 100644
--- a/games-util/gtkevemon/Manifest
+++ b/games-util/gtkevemon/Manifest
@@ -1,2 +1,3 @@
 DIST gtkevemon-1.8-learning.patch.gz 5879 SHA256 
ec9951ae91447e4e5f1d1720a35c27a92546760cc2ae76cd269f85cb59766437 SHA512 
44d58ce947b27fb623a94e79e2eff6a20aec1bd0a63c3029347099e64bde5fc31080bcfed0da8fd00f70c2f5c88182760ee169729729c39805bee099099d3022
 WHIRLPOOL 
68342fc1e8aa729f4e6cd3002fbde58ad7c3818dc5d76cddfb4b4d4d05a5f9e55d8244f07a7803c3fc5ddc354546cc20f73c0c6dea58fd1a2303004cd3ce120e
 DIST gtkevemon-1.8-source.tar.gz 321226 SHA256 
32faf51b5b84f7e055dd47b7c43f722613b5c6cfbd8ec6a47cada75e686300c7 SHA512 
483a66bda9f34ae423ce4205eaf5dc3775dab9d8d0074a19d79ffad86bc13974b09927efd1757300233c8e040f42e564ea44f32a5c3c2726db404d43d9fb5736
 WHIRLPOOL 
60ea958633d6fc9ca2e6b4940f30f9691c95c8d1a43a16763ab3532065be0872e0e6c0fe71a0b36ebd0d74422105cc745ab7d88ce0a5f7a552c9ca22c62f4a85
+DIST v1.10.tar.gz 240225 SHA256 
532d36755f33e2e00cdf8bf7ca52b16c04e4a1c47235b821a93236b493da5239 SHA512 
c3fad5ba1947be527adf9c90bfad60eb505fd6b3bb3379f960748ccb529381b34b5c5c653516220d17998c95ce2b53105834f7d79053bc1e8ccc9094c8b974c9
 WHIRLPOOL 
ea319155abe46db1af5ed739eaf2034446d4b8d1f83470c7acccf94030720c8bdc0182e3ed2c803d9f09557a49fe9056c0758de99628d152fce44e8bc4486818

diff --git a/games-util/gtkevemon/gtkevemon-1.10.ebuild 
b/games-util/gtkevemon/gtkevemon-1.10.ebuild
new file mode 100644
index 0000000..4d4fe3d
--- /dev/null
+++ b/games-util/gtkevemon/gtkevemon-1.10.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit flag-o-matic
+
+DESCRIPTION="A standalone skill monitoring application for EVE Online"
+HOMEPAGE="http://gtkevemon.battleclinic.com";
+SRC_URI="http://github.com/gtkevemon/${PN}/archive/v${PV}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+       dev-cpp/gtkmm:2.4
+       dev-libs/libxml2
+       dev-libs/openssl:0
+"
+
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+"
+src_prepare() {
+       default
+
+       sed -e 's:Categories=Game;$:Categories=Game;RolePlaying;GTK;:' \
+               -i "icon/${PN}.desktop" \
+               || die "failed fix categories in icon/${PN}.desktop"
+
+       # Fixes a QA notice.
+       sed -i "/^Encoding/d" "icon/${PN}.desktop" \
+               || die "failed to remove the Encoding from icon/${PN}.desktop"
+
+       append-cxxflags -std=c++11
+}
+
+src_install() {
+       dobin "src/${PN}"
+       doicon "icon/${PN}.svg"
+       domenu "icon/${PN}.desktop"
+       einstalldocs
+}

diff --git a/games-util/gtkevemon/gtkevemon-9999.ebuild 
b/games-util/gtkevemon/gtkevemon-9999.ebuild
index b380ae1..f7b113f 100644
--- a/games-util/gtkevemon/gtkevemon-9999.ebuild
+++ b/games-util/gtkevemon/gtkevemon-9999.ebuild
@@ -1,57 +1,47 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=4
+EAPI=6
 
-inherit eutils
-
-IUSE=""
-if [[ ${PV} == *9999* ]]; then
-       inherit mercurial
-       EHG_REPO_URI="https://bitbucket.org/BattleClinic/${PN}";
-       KEYWORDS=""
-       SRC_URI=""
-       MY_S="${WORKDIR}/${P}/gtkevemon"
-else
-       KEYWORDS="~amd64 ~x86"
-       SRC_URI="http://gtkevemon.battleclinic.com/releases/${P}-source.tar.gz";
-fi
+inherit flag-o-matic git-r3
 
 DESCRIPTION="A standalone skill monitoring application for EVE Online"
 HOMEPAGE="http://gtkevemon.battleclinic.com";
+EGIT_REPO_URI="https://github.com/${PN}/${PN}";
 
 LICENSE="GPL-3"
 SLOT="0"
+KEYWORDS=""
+IUSE=""
 
 RDEPEND="
-       dev-cpp/gtkmm:2.4
+       dev-cpp/gtkmm:3.0
        dev-libs/libxml2
+       net-misc/curl[ssl]
 "
-DEPEND="${DEPEND}
+
+DEPEND="${RDEPEND}
        virtual/pkgconfig
 "
 
-src_unpack()
-{
-       if [[ ${PV} == *9999* ]]; then
-               mercurial_src_unpack
-               S=${MY_S}
-       else
-               default
-       fi
-}
-
 src_prepare() {
+       default
+
        sed -e 's:Categories=Game;$:Categories=Game;RolePlaying;GTK;:' \
-               -i icon/${PN}.desktop || die "sed failed"
+               -i "icon/${PN}.desktop" \
+               || die "failed fix categories in icon/${PN}.desktop"
+
+       # Fixes a QA notice.
+       sed -i "/^Encoding/d" "icon/${PN}.desktop" \
+               || die "failed to remove the Encoding from icon/${PN}.desktop"
+
+       append-cxxflags -std=c++11
 }
 
 src_install() {
-       # fixed QA notice
-       sed -i "/^Encoding/d" icon/${PN}.desktop
-       dobin src/${PN}
-       doicon icon/${PN}.svg
-       domenu icon/${PN}.desktop
-       dodoc CHANGES README TODO
+       dobin "src/${PN}"
+       doicon "icon/${PN}.svg"
+       domenu "icon/${PN}.desktop"
+       einstalldocs
 }

Reply via email to